OnYourLips
@OnYourLips

Семантическое версионирование в пакетных менеджерах linux?

В каких дистрибутивах линукса используются пакетные менеджеры с поддержкой семантического версионирования?
Чтобы можно было задавать констрейнты типа "~7.2.2" (>=7.2.2 <7.3.0.) для пакетов.

Для примера, в apt (ubuntu/debian) это невозможно, и максимум, что можно сделать - это захолдить определенную версию.
  • Вопрос задан
  • 94 просмотра
Пригласить эксперта
Ответы на вопрос 1
Lynn
@Lynn
nginx, js, css
В apt очень даже можно. https://www.debian.org/doc/debian-policy/#document...
Примерно так:
Package: foo
Depends: bar (>= 7.2.2), bar (<< 7.3.0)
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через TM ID
Похожие вопросы
14 авг. 2018, в 22:43
350 руб./за проект
14 авг. 2018, в 19:03
10000 руб./за проект
14 авг. 2018, в 18:10
1000 руб./в час